/*
 * Copyright
 *   2007 axyus - www.axyus.com
 *   2007 F.Bollaro - Franck.Bollaro@mail.ap-hm.fr
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.cp.xemelios.auth.ldapAphm;

import fr.gouv.finances.cp.xemelios.auth.XemeliosUser;

public class LdapUser implements XemeliosUser {
    private String id=null, password=null;
    private int auth=0;
    
    public LdapUser(String login, String password) {
        super();
        this.id=login;
        this.password=password;
    }
    
    public String getId() {
        return id;
    }
    
    public String getDescription() {
        return getId();
    }
    
    public int getAuth(String collectivite) {
        return auth;
    }
    
    public boolean isAllowedTo(String collectivite,	int role) {
        return (auth & role)>0;
    }
    /**
     * Once read, set password to null to avoid piracy
     * @return
     */
    public String getPassword() {
        String sTmp = password;
        password = null;
        return sTmp;
    }
    void setAuth(int auth) { this.auth=auth; }
}
